package accrue.analysis.ext;

import java.util.Map;

import polyglot.ast.Catch;
import polyglot.util.SerialVersionUID;
import polyglot.visit.DataFlow;
import polyglot.visit.FlowGraph;
import polyglot.visit.FlowGraph.EdgeKey;
import polyglot.visit.FlowGraph.Peer;
import accrue.analysis.interprocanalysis.DataFlowDispatch;

public class ExtCatch extends ExtTerm {
    private static final long serialVersionUID = SerialVersionUID.generate();

    @Override
    public <DFItem extends DataFlow.Item> Map<EdgeKey, DFItem> flowDispatch(
            DataFlowDispatch<DFItem> d, DFItem dfIn, FlowGraph<DFItem> graph,
            Peer<DFItem> peer) {
        Catch n = (Catch) this.node();
        return d.flowCatch(n, dfIn, graph, peer);
    }
}
